Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.model.impl
Class VElementImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecp.view.spi.model.impl.VElementImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, VElement

Direct Known Subclasses:
  VCategorizableElementImpl, VContainedElementImpl, VContainerImpl, VViewImpl

    public abstract class VElementImpl

extends org.eclipse.emf.ecore.impl.EObjectImpl
implements VElement

An implementation of the model object 'Renderable'.

Since:
  1.2

  The following features are implemented:

  - `Name`
  - `Label`
  - `Visible`
  - `Enabled`
  - `Readonly`
  - `Diagnostic`
  - `Attachments`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetDiagnostic(VDiagnostic newDiagnostic, org.eclipse.emf.common.notify.NotificationChain msgs)`
`Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` | `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, Object newValue)`
`void` | `eUnset(int featureID)`
`org.eclipse.emf.common.util.EList<VAttachment>` | `getAttachments()`
`VDiagnostic` | `getDiagnostic()`
`String` | `getLabel()`
`String` | `getName()`
`boolean` | `isEnabled()`
`boolean` | `isReadonly()`
`boolean` | `isVisible()`
`void` | `setDiagnostic(VDiagnostic newDiagnostic)`
`void` | `setEnabled(boolean newEnabled)`
`void` | `setLabel(String newLabel)`
`void` | `setName(String newName)`
`void` | `setReadonly(boolean newReadonly)`
`void` | `setVisible(boolean newVisible)`
`String` | `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### getName

    public String getName()

  Specified by:
    `getName` in interface `VElement`
  Returns:
    the value of the 'Name' attribute.
  See Also:
    `VElement.setName(String)`, `VViewPackage.getElement_Name()`

### setName

    public void setName(String newName)

  Specified by:
    `setName` in interface `VElement`
  Parameters:
    `newName` - the new value of the 'Name' attribute.
  See Also:
    `VElement.getName()`

### getLabel

    public String getLabel()

  Specified by:
    `getLabel` in interface `VElement`
  Returns:
    the value of the 'Label' attribute.
  Since:
    1.6
  See Also:
    `VElement.setLabel(String)`, `VViewPackage.getElement_Label()`

### setLabel

    public void setLabel(String newLabel)

  Specified by:
    `setLabel` in interface `VElement`
  Parameters:
    `newLabel` - the new value of the 'Label' attribute.
  Since:
    1.6
  See Also:
    `VElement.getLabel()`

### isVisible

    public boolean isVisible()

  Specified by:
    `isVisible` in interface `VElement`
  Returns:
    the value of the 'Visible' attribute.
  See Also:
    `VElement.setVisible(boolean)`, `VViewPackage.getElement_Visible()`

### setVisible

    public void setVisible(boolean newVisible)

  Specified by:
    `setVisible` in interface `VElement`
  Parameters:
    `newVisible` - the new value of the 'Visible' attribute.
  See Also:
    `VElement.isVisible()`

### isEnabled

    public boolean isEnabled()

  Specified by:
    `isEnabled` in interface `VElement`
  Returns:
    the value of the 'Enabled' attribute.
  See Also:
    `VElement.setEnabled(boolean)`, `VViewPackage.getElement_Enabled()`

### setEnabled

    public void setEnabled(boolean newEnabled)

  Specified by:
    `setEnabled` in interface `VElement`
  Parameters:
    `newEnabled` - the new value of the 'Enabled' attribute.
  See Also:
    `VElement.isEnabled()`

### isReadonly

    public boolean isReadonly()

  Specified by:
    `isReadonly` in interface `VElement`
  Returns:
    the value of the 'Readonly' attribute.
  See Also:
    `VElement.setReadonly(boolean)`, `VViewPackage.getElement_Readonly()`

### setReadonly

    public void setReadonly(boolean newReadonly)

  Specified by:
    `setReadonly` in interface `VElement`
  Parameters:
    `newReadonly` - the new value of the 'Readonly' attribute.
  See Also:
    `VElement.isReadonly()`

### getDiagnostic

    public VDiagnostic getDiagnostic()

  Specified by:
    `getDiagnostic` in interface `VElement`
  Returns:
    the value of the 'Diagnostic' containment reference.
  See Also:
    `VElement.setDiagnostic(VDiagnostic)`, `VViewPackage.getElement_Diagnostic()`

### basicSetDiagnostic

    public org.eclipse.emf.common.notify.NotificationChain basicSetDiagnostic(VDiagnostic newDiagnostic,
                                                                              org.eclipse.emf.common.notify.NotificationChain msgs)

### setDiagnostic

    public void setDiagnostic(VDiagnostic newDiagnostic)

  Specified by:
    `setDiagnostic` in interface `VElement`
  Parameters:
    `newDiagnostic` - the new value of the 'Diagnostic' containment reference.
  See Also:
    `VElement.getDiagnostic()`

### getAttachments

    public org.eclipse.emf.common.util.EList<VAttachment> getAttachments()

  Specified by:
    `getAttachments` in interface `VElement`
  Returns:
    the value of the 'Attachments' containment reference list.
  See Also:
    `VViewPackage.getElement_Attachments()`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

    public Object eGet(int featureID,
                       boolean resolve,
                       boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

    public void eSet(int featureID,
                     Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

    public String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.